Bug 492664 - Security officer: A user token can be formatted when password required dialog's cancel button clicked in
Security officer: A user token can be formatted when password required dialog...
Status: CLOSED NOTABUG
Product: Dogtag Certificate System
Classification: Community
Component: ESC (Show other bugs)
unspecified
All Linux
low Severity medium
: ---
: ---
Assigned To: Jack Magne
Chandrasekar Kannan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-27 18:10 EDT by Asha Akkiangady
Modified: 2015-01-04 18:37 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-29 14:25:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Asha Akkiangady 2009-03-27 18:10:48 EDT
Description of problem:
From security officer work station select format card and provide an enrolled user card, password required dialog requests the master password for the user token., click cancel 3 times and card gets formatted.

Version-Release number of selected component (if applicable):
CS 8.0

How reproducible:


Steps to Reproduce:
1. Login to security officer work station with SOfficer#1 token.
2. Enroll token#1 for a User#1.
3. When enrollment is complete close the esc application.
4. Re-start smart card manager application, login to security officer work station with SOfficer#1 token.
5. Click Format Card
6. Insert token#1 and click format
7. Password required dialog is displayed with message "Please enter master password for the user User#1"
8. Click Cancel 3 times. 

Actual results:
token#1 gets formatted.

Expected results:
Error message indicating invalid credentials.

Additional info:
Password required dialog is not showed in all scenarios of formatting., for example: login to security workstation with a SOfficer#1 token, enroll token#1 for User#1, when enrollment is complete click on format card, provide token#1 and click format.

Note You need to log in before you can comment on or make changes to this bug.